using MasaBlazorApp3.Pojo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasaBlazorApp3.DataAccess.Dao
{
    public interface IDrugInfoDao
    {
        Task<List<DrugInfo>> GetAllDrugAndStock();
        
        Task<List<DrugInfo>> GetAllDrugAndStockByBox(BoxModel boxModel);


        Task<List<DrugInfo>> GetAllDrug();


        Task<PageData<DrugInfo>> GetAllDrug(string drugId, string drugName, int? take, int? skip);


        //Task<List<DrugInfo>> GetAllDrugAndStockList();

        Task<DrugManuNo> GetDrugManuNo(string drugId, string manuNo);


        //添加药品信息
        int AddDrugInfo(DrugInfo drugInfo);

        //删除药品信息
        Task<bool> DeleteDrugInfo(string drugId);
        //修改药品信息
        Task<bool> UpdateDrugInfo(DrugInfo drugInfo);
    }
}
